NOTEAs of March 2021, you are able to apply updates to your order status. Additional data points will be available at a later time.
Update your orders. Rules and validation regarding statuses and quantities apply. See below for details.
This endpoint requires JOOR ids.
Endpoint
- Method: POST
- URI :
https://api.jooraccess.com/v4/orders/bulk_update?account=[account_id]
Params
- Accept: application/json
- Authorization: OAuth2 [Base64 encoded token]
Sample cURL Request
curl -X POST "https://apisandbox.jooraccess.com/v4/orders/bulk_update?account=[account_id]" -H "accept: application/json" -H "Content-Type: application/json" -d "[{\"id\":\"string\",\"status\":\"string\",\"integration_status\":\"string\"}]"Workflow
- Get the id for the order using the v2 GET /orders endpoint.
a. You can also locate the order id on the web, on the order review page. See below for a screenshot.

- Use this id to update your order.
Request Param Details
| PARAMETERS | REQUIRED | TYPE | NOTES |
|---|---|---|---|
| id | Y | string | The JOOR id of the order being updated |
| status | Y | string | The updated status of the order Available options are: "IN_PROGRESS", "NOTES", "PENDING", "APPROVED", "CANCELLED You cannot move an order back to an "IN_PROGRESS" status |
| integration_status (not yet available) | N | string | The updated integration status for this order Available options are: "SUCCESS" |
| shipping_id (not available at this time) | |||
| billing_id (not available at this time) | |||
| sales_rep (not available at this time) | |||
| payment_method (not available at this time) | |||
| discount_type (not available at this time) | |||
| discount_amount (not available at this time) |
Statuses and Rules
Available order status options are "NOTES", "PENDING", "APPROVED", or "CANCELLED". The requirements for each status are listed below.
| STATUS | REQUIREMENTS |
|---|---|
| IN_PROGRESS | Only the retailer_id, price_type_id, collection_id, and status are required. |
| NOTES | Shipping and billing addresses. Payment method. |
| PENDING | Shipping and billing addresses. Payment method. Each item must have at least one unit. |
| APPROVED | Shipping and billing addresses. Payment method. Each item must have at least one unit. |
| CANCELLED | Shipping and billing addresses. Payment method. Each item must have at least one unit. |
Request Example
[
{
"id": "111111",
"status": "APPROVED"
"integration_status": "SUCCESS"
"shipping_id": "4444444",
"billing_id": "5555555",
"sales_rep": "[email protected]",
"payment_method": "Credit Card",
"order_discount": [
{
"discount_type": "PERCENT",
"discount_amount": "0.2"
}
]
}
]Response Field Details
| PARAMETERS | TYPE | NOTES |
|---|---|---|
| id | string | The JOOR id for this order |
| retailer_id | string | The JOOR id for the retailer (customer) |
| price_type_id | string | The price type id for this order, which applies currencies to the cost and retail prices |
| collection_id | string | The collection id for this order. The start and end dates will be applied |
| status | string | The status of the order. |
| integration_status (not available at this time) | string | The integration status for this order |
| shipping_id (not available at this time) | string | The JOOR connection id for the retailer shipping location. Not required for "IN_PROGRESS" orders |
| billing_id (not available at this time) | string | The JOOR connection id for the retailer billing location. Not required for "IN_PROGRESS" orders |
| sales_rep (not available at this time) | string | The sales rep associated with this order |
| payment_method (not available at this time) | string | The payment method used for this order |
| discount_type (not available at this time) | string | The type of discount applied to the order |
| discount_amount (not available at this time) | string | The discount applied to the order. Percents need to be applied as a decimal value (less than 1.0) |
Response Example
{
"data": [
{
"id": "111111",
"retailer_id": "222222",
"price_type_id": "333",
"collection_id": "44444444",
"status": "APPROVED",
"integration_status": "SUCCESS"
"shipping_id": "4444444",
"billing_id": "5555555",
"sales_rep": "[email protected]",
"payment_method": "Credit Card",
"order_discount": [
{
"discount_type": "PERCENT",
"discount_amount": "0.2"
}
]
}
],
"errors": [
{
"status": "string",
"message": "string",
"details": {}
}
]
}